pidgin: _PurpleWhiteboardUiOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleWhiteboardUiOps Struct Reference

The PurpleWhiteboard UI Operations. More...

`#include <whiteboard.h>`

## Data Fields
void(* | create )(PurpleWhiteboard *wb)
| create function
void(* | destroy )(PurpleWhiteboard *wb)
| destory function
void(* | set_dimensions )(PurpleWhiteboard *wb, int width, int height)
| set_dimensions function
void(* | set_brush )(PurpleWhiteboard *wb, int size, int color)
| set the size and color of the brush
void(* | draw_point )(PurpleWhiteboard *wb, int x, int y, int color, int size)
| draw_point function
void(* | draw_line )(PurpleWhiteboard *wb, int x1, int y1, int x2, int y2, int color, int size)
| draw_line function
void(* | clear )(PurpleWhiteboard *wb)
| clear function
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

The PurpleWhiteboard UI Operations.

Definition at line 56 of file whiteboard.h.

## Field Documentation

## ◆ _purple_reserved1

void(* _PurpleWhiteboardUiOps::_purple_reserved1) (void)

Definition at line 69 of file whiteboard.h.

## ◆ _purple_reserved2

void(* _PurpleWhiteboardUiOps::_purple_reserved2) (void)

Definition at line 70 of file whiteboard.h.

## ◆ _purple_reserved3

void(* _PurpleWhiteboardUiOps::_purple_reserved3) (void)

Definition at line 71 of file whiteboard.h.

## ◆ _purple_reserved4

void(* _PurpleWhiteboardUiOps::_purple_reserved4) (void)

Definition at line 72 of file whiteboard.h.

## ◆ clear

void(* _PurpleWhiteboardUiOps::clear) (PurpleWhiteboard *wb)

clear function

Definition at line 67 of file whiteboard.h.

## ◆ create

void(* _PurpleWhiteboardUiOps::create) (PurpleWhiteboard *wb)

create function

Definition at line 58 of file whiteboard.h.

## ◆ destroy

void(* _PurpleWhiteboardUiOps::destroy) (PurpleWhiteboard *wb)

destory function

Definition at line 59 of file whiteboard.h.

## ◆ draw_line

void(* _PurpleWhiteboardUiOps::draw_line) (PurpleWhiteboard *wb, int x1, int y1, int x2, int y2, int color, int size)

draw_line function

Definition at line 64 of file whiteboard.h.

## ◆ draw_point

void(* _PurpleWhiteboardUiOps::draw_point) (PurpleWhiteboard *wb, int x, int y, int color, int size)

draw_point function

Definition at line 62 of file whiteboard.h.

## ◆ set_brush

void(* _PurpleWhiteboardUiOps::set_brush) (PurpleWhiteboard *wb, int size, int color)

set the size and color of the brush

Definition at line 61 of file whiteboard.h.

## ◆ set_dimensions

void(* _PurpleWhiteboardUiOps::set_dimensions) (PurpleWhiteboard *wb, int width, int height)

set_dimensions function

Definition at line 60 of file whiteboard.h.

The documentation for this struct was generated from the following file:

- whiteboard.h